=== debian/rules ===
#! /usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	rm -f build-stamp
	dh_clean

binary-indep: build
	dh_testdir -i
	dh_testroot -i
	dh_clean -i -k
	dh_installdirs -i
	$(MAKE) fortune/fortune.man prefix=
	$(MAKE) install-cookie prefix=$(CURDIR)/debian/fortunes
	mv debian/fortunes/usr/share/games/fortunes/off debian/fortunes-off/usr/share/games/fortunes
	mv debian/fortunes/usr/share/games/fortunes/{fortunes,literature,riddles}{,.dat,.u8} debian/fortunes-min/usr/share/games/fortunes
	dh_installdocs -i
#	dh_installexamples -i
#	dh_installmenu -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installmanpages -i
#	dh_undocumented -a
	dh_installchangelogs -i ChangeLog
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
#	dh_shlibdeps -i
	dh_gencontrol -i
#	dh_makeshlibs -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build
	dh_testdir -a
	dh_testroot -a
	dh_clean -a -k
	dh_installdirs -a
	$(MAKE) install-fortune install-util install-man \
                  prefix=$(shell pwd)/debian/tmp
	install -m 0644 -o root -g root \
	   fortune/fortune.man debian/tmp/usr/share/man/man6/fortune.6
	dh_installdocs -a
#	dh_installexamples -a
	dh_installmenu -a
#	dh_installinit -a
#	dh_installcron
#	dh_installmanpages -a
#	dh_undocumented -a
	dh_installchangelogs -a ChangeLog
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
#	dh_makeshlibs -a
	dh_md5sums -a
	dh_builddeb -a

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

# Local Variables:
# mode: makefile
# End:
